function opt = sample(opt, vi, C)
if opt.vi.sample==1
  opt.vi.eps = normrnd(0,1,size(opt.vi.eps));
  for c=1:C % Sample u
    for si=1:opt.vi.mccnt
      opt.vi.u(:,si,c) = vi.m(:,c) + kronmvm(vi.L{c}, opt.vi.eps(:,si,c));
    end
  end
end
